FROM ghcr.io/astral-sh/uv:python3.13-alpine

# Copy the project into the image
COPY vibe_bot /app
COPY uv.lock /app
COPY .python-version /app
COPY pyproject.toml /app

# Disable development dependencies
ENV UV_NO_DEV=1

# Sync the project into a new environment, asserting the lockfile is up to date
WORKDIR /app
RUN uv sync --locked

CMD uv run main.py